@ECHO OFF
CLS
IF NOT EXIST SOUND16.DAT GOTO NODAT
@ECHO Now installing the NASCAR Racing 3 Sound Pack Pro v1.0.
@ECHO.
@ECHO Do you wish to continue?
@ECHO.
CHOICE /C:YN
IF ERRORLEVEL 2 GOTO NOINSTALL
IF ERRORLEVEL 1 GOTO INSTALL

:INSTALL
UNPACK SOUND16.DAT
REN SOUND16.DAT SOUND16.BAK
COPY CRASH1.NEW CRASH1.WAV /Y
COPY CRASH2.NEW CRASH2.WAV /Y
COPY CRASH3.NEW CRASH3.WAV /Y
COPY CRASH4.NEW CRASH4.WAV /Y
COPY CRASH5.NEW CRASH5.WAV /Y
COPY CRASH6.NEW CRASH6.WAV /Y
COPY E1C11.NEW E1C11.WAV /Y
COPY ENGHI.NEW ENGHI.WAV /Y
COPY ENGLO.NEW ENGLO.WAV /Y
COPY GEARSH1.NEW GEARSH1.WAV /Y
COPY GEARSH2.NEW GEARSH2.WAV /Y
COPY SKID.NEW SKID.WAV /Y
PACK SOUND16.PCK
DEL *.COM
DEL *.EXE
DEL *.NEW
DEL *.PCK
DEL *.PIF
DEL *.WAV
@ECHO.
@ECHO The NASCAR Racing 3 Sound Pack Pro v1.0 has been installed.
@ECHO.
@ECHO GENTLEMEN, START YOUR ENGINES!
GOTO INSTALLED

:NOINSTALL
@ECHO.
@ECHO The NASCAR Racing 3 Sound Pack Pro v1.0 has NOT been installed.
GOTO QUIT

:NODAT
@ECHO.
@ECHO This installer must be executed from your "NASCAR Racing 3\Sound16" directory!
GOTO NOINSTALL

:INSTALLED
@ECHO.
PAUSE
DEL *.BAT

:QUIT
@ECHO.
PAUSE
